org.glassfish.jersey.model

## Enum Parameter.Source

- java.lang.Object
- - java.lang.Enum<Parameter.Source>
  - - org.glassfish.jersey.model.Parameter.Source

All Implemented Interfaces:
  Serializable, Comparable<Parameter.Source>

Enclosing class:
  Parameter

    public static enum Parameter.Source
    extends Enum<Parameter.Source>

Parameter injection sources type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BEAN_PARAM` Bean param parameter injection source.
`CONTEXT` Context parameter injection source.
`COOKIE` Cookie parameter injection source.
`ENTITY` Entity parameter injection source.
`FORM` Form parameter injection source.
`HEADER` Header parameter injection source.
`MATRIX` Matrix parameter injection source.
`PATH` Path parameter injection source.
`QUERY` Query parameter injection source.
`SUSPENDED` Suspended async response injection source.
`UNKNOWN` Unknown parameter injection source.
`URI` Uri parameter injection source.

### Method Summary

All Methods Static Methods Concrete Methods
`static Parameter.Source` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Parameter.Source[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONTEXT

    public static final Parameter.Source CONTEXT

Context parameter injection source.

#### COOKIE

    public static final Parameter.Source COOKIE

Cookie parameter injection source.

#### ENTITY

    public static final Parameter.Source ENTITY

Entity parameter injection source.

#### FORM

    public static final Parameter.Source FORM

Form parameter injection source.

#### HEADER

    public static final Parameter.Source HEADER

Header parameter injection source.

#### URI

    public static final Parameter.Source URI

Uri parameter injection source.

#### MATRIX

    public static final Parameter.Source MATRIX

Matrix parameter injection source.

#### PATH

    public static final Parameter.Source PATH

Path parameter injection source.

#### QUERY

    public static final Parameter.Source QUERY

Query parameter injection source.

#### SUSPENDED

    public static final Parameter.Source SUSPENDED

Suspended async response injection source.

#### BEAN_PARAM

    public static final Parameter.Source BEAN_PARAM

Bean param parameter injection source.

#### UNKNOWN

    public static final Parameter.Source UNKNOWN

Unknown parameter injection source.

### Method Detail

#### values

    public static Parameter.Source[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Parameter.Source c : Parameter.Source.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Parameter.Source valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null